Get the balance of a wallet

Requires the WALLET.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
balance_atdatetimeOptional

The date of the balance determination. Default is now().

include_customer_detailsbooleanOptional

Include the per-customer breakdown of the reserved balance. Default is false.

Response

OK
balanceobject or nullOptional
reserved_balanceobject or nullOptional
open_balanceobject or nullOptional
balance_atstring or nullOptionalRead-only
over_grantedobject or nullOptional
The part of this balance the periods behind it were not entitled to.
customer_detailslist of objects or nullOptionalRead-only

The reserved balance split over the customers whose usage produced it, requested with include_customer_details. Stored when an invoice is built/ refreshed.

Errors

401
Unauthorized Error
403
Forbidden Error